Subject: Re: linux-next: left over things in linux-next after 2.6.28-c1

From: Greg KH <[email-masked]>
Date: Wed, 29 Oct 2008 16:53:24 -0700

On Tue, Oct 28, 2008 at 11:04:35AM +0530, Ananth N Mavinakayanahalli wrote:
> > Ok, that's great, but the current tree is just the in-kernel tests so
> > far, right?
> 
> Right

Ok, that makes more sense why it isn't going anywhere.

> > > Having a set of tests to run when introducing a new syscall
> > > would make it much easier for an arch maintainer to verify
> > > that the implemented syscall works as expected.
> > > 
> > > And forcing the developer to use the interface from user-space
> > > will hopefully catch a few issues earlier.
> > 
> > I totally agree that this is a good thing to have.
> > 
> > But I don't necessarily think that moving the in-kernel tests to this
> > directory makes that much sense here, wouldn't the in-kernel tests work
> > out better living next to the code they are testing, like they are right
> > now?   Or do you and others think that moving them would help things
> > out?
> 
> I guess at the time, the consensus was to collate all such tests (except
> the arch specific ones) to under tests/. But yes, there isn't too much
> difference in it living next to the actual code itself. The other neat
> thing this would do is to have one config sub-menu for all the in-kernel
> tests, which can still be done with a new Kconfig in lib/ or something.
> 
> > And are there any proposed userspace tests in this tree right now?
> 
> No, it is currently limited to kernel code.

Ok, I really don't care about moving files around.

What I do care about is the goal of having userspace tests, or tests
that people can run to test out the kernel in some kind of way, like
mentioned earlier in this thread.

If someone wants to start collecting them, I'll glady host that tree and
work to push that to mainline.

thanks,

greg k-h